## storcli64-wrapper 0.3.0ubuntu1~238041.gbp24c1e9

=== man/Makefile ===
storcli64_wrapper.1: %: %.txt
	txt2man -t storcli64_wrapper -s 1 $< > $@

clean:
	$(RM) storcli64_wrapper.1

all: storcli64_wrapper.1

.PHONY: all clean

=== src/Makefile ===

# CFLAGS := -Wall
#DEBUGFLAGS := -g -DDEBUG
PREFIX  := /usr/local
BINDIR  := $(PREFIX)/bin

all: storcli64_wrapper

install: storcli64_wrapper
	install -D -m 4755 $< $(DESTDIR)$(BINDIR)/$<

test: storcli64_wrapper
	./storcli64_wrapper_test.rb

clean:
	$(RM) storcli64_wrapper

%: %.c %.h
	$(CC) $(CDEBUGFLAGS) $(CFLAGS) -static -o $@ $<

.PHONY: all clean install test

=== debian/changelog ===
storcli64-wrapper (0.3.0ubuntu1~238041.gbp24c1e9) UNRELEASED; urgency=medium

  ** SNAPSHOT build @24c1e9dac5565119e9c1506f582d99a984617776 **

  [ Mark Egan-Fuller ]
  * Add buster.

 -- root <root@runner-32952c23-project-742-concurrent-5>  Wed, 02 Jun 2021 10:34:34 +0100

storcli64-wrapper (0.3.0) stable; urgency=low

  * Add show all

 -- Mark Egan-Fuller <mark.eganfuller@bytemark.co.uk>  Wed, 30 Sept 2020 15:11:01 +0100

storcli64-wrapper (0.2.0) stable; urgency=low

  * Expand allowed commands

 -- Mark Egan-Fuller <mark.eganfuller@bytemark.co.uk>  Wed, 30 Sept 2020 12:13:31 +0100

storcli64-wrapper (0.1.0) stable; urgency=low

  * Initial Release

 -- Ian Chilton <ian.chilton@bytemark.co.uk>  Thurs, 12 June 2014 14:51:31 +0100

=== debian/control ===
Source: storcli64-wrapper
Section: admin
Priority: optional
Maintainer: Ian Chilton <ian.chilton@bytemark.co.uk>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), cdbs, txt2man, ruby

Package: storcli64-wrapper
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}
Description: Wrapper to the Megaraid storcli64, allowing a limited number of
 commands to be performed.
 This allows non-root users to query the status of Megaraid cards,
 controlled by the storcli64 utility.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_BUILD_OPTIONS       := nocheck
DEB_MAKE_BUILD_TARGET   := all
DEB_MAKE_CHECK_TARGET   := test
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/storcli64-wrapper PREFIX=/usr
